function [wls, sus, res, k0s] = summarizeValues( resultFolder, filesToAnalyze )

kappa1_1 = [];
kappa2_1 = [];
kappa1_2 = [];
kappa2_2 = [];
couplingEff = [];
tP1 = [];
tP2 = [];
wls = [];
sus = [];
off = [];
res = [];

%% loop through all files that are supposed to be analyzed
for i = 1:size(filesToAnalyze,1)
    disp( '-------------------------------------------------------------' );
    disp( ['Loading file: ' filesToAnalyze(i).name '...'] );
    load( [resultFolder filesToAnalyze(i).name] );
    
    off = [off offset];
    sus = [sus susceptibility];
    kappa1_1 = [kappa1_1 k1_1];
    kappa2_1 = [kappa2_1 k2_1];
    kappa1_2 = [kappa1_2 k1_2];
    kappa2_2 = [kappa2_2 k2_2];
    couplingEff = [couplingEff mean(couplingEfficiency)];
    tP1 = [tP1 thresholdPower1];
    tP2 = [tP2 thresholdPower2];
    wls = [wls params.wl];
    res = [res residual];

end

k0s_1 = kappa1_1;
kEs_1 = kappa2_1;
k0s_1(kappa1_1 < kappa2_1) = kappa2_1(kappa1_1 < kappa2_1);
kEs_1(kappa1_1 < kappa2_1) = kappa1_1(kappa1_1 < kappa2_1);
k0s_2 = kappa1_2;
kEs_1 = kappa2_2;
k0s_2(kappa1_2 < kappa2_2) = kappa2_2(kappa1_2 < kappa2_2);
kEs_2(kappa1_2 < kappa2_2) = kappa1_2(kappa1_2 < kappa2_2);
k0s = mean( [k0s_1; k0s_2] );
kEs = mean( [kEs_1; kEs_2] );

%q0s = (c./wls)./k0s;
%pThCorr = polyfit( q0s, mean( [tP1; tP2] ) ,1 );
%disp( ['Thermal correlation: ' num2str(pThCorr(1))] );

end